﻿using System;
using System.Globalization;
using System.Threading;

namespace Geo.Core.Services
{
    public class GeocodeService
        : IGeocodeService
    {
        private readonly ISimpleRestService simpleRestService;

        public GeocodeService(ISimpleRestService simpleRestService)
        {
            this.simpleRestService = simpleRestService;
        }

       
        public void StartSearchAsync(double lng, double lat, Action<RootObject> success, Action<Exception> error)
        {
            var fmt = new CultureInfo("en-US");
            var slat = lat.ToString(fmt);
            var slng = lng.ToString(fmt);
            string address = String.Format("http://maps.googleapis.com/maps/api/geocode/json?latlng={0},{1}&sensor=true&language=FR", slat, slng);
            simpleRestService.MakeRequest<RootObject>(address,"GET", success, error);
        }
    }
}
