﻿using System.Collections.Generic;
using System.Text;

namespace Geo.Core.Services
{
    public class Result
    {
        public List<AddressComponent> address_components { get; set; }
        public string formatted_address { get; set; }
        public Geometry geometry { get; set; }
        public List<string> types { get; set; }
        public List<string> postcode_localities { get; set; }

        public override string ToString()
        {
            var s = new StringBuilder();
            if (address_components!=null)
                foreach (var addressComponent in address_components)
                {
                    s.AppendLine(addressComponent.ToString());
                }
            s.AppendLine(formatted_address);
            if (types!=null)
                foreach (var type in types)
                {
                    s.AppendLine(type.ToString());
                }
            if (postcode_localities!=null)
                foreach (var postcodeLocality in postcode_localities)
                {
                    s.AppendLine(postcodeLocality.ToString());
                }
            return s.ToString();
        }
    }
}