using Android.App;
using Android.Content;
using Android.Net;
using Android.OS;
using Cirrious.CrossCore;
using Cirrious.CrossCore.Platform;
using Cirrious.MvvmCross.Droid.Views;
using Cirrious.MvvmCross.Plugins.Messenger;
using Geo.Core.ViewModels;

namespace Geo.Droid.Views
{
    [Activity(Label = "GeoCode Demo")]
    public class FirstView : MvxActivity
    {

        private readonly IMvxMessenger messenger;
        private MvxSubscriptionToken token;
        public FirstView()
        {
            messenger = Mvx.Resolve<IMvxMessenger>();
            token = messenger.SubscribeOnMainThread<FirstViewModel.PositionMessage>(onLocationMessage);
        }

        private void onLocationMessage(FirstViewModel.PositionMessage message)
        {
            var geo = "geo:" + message.SLat + "," + message.SLng;
            StartActivity(new Intent(Android.Content.Intent.ActionView,Uri.Parse(geo)));
        }


        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.FirstView);
        }
    }
}